Yms apiOrder controller
POST Search Orders by Paging
POST searchByPaging
Introduction
Search for orders with pagination support. Returns results in pages, allowing you to specify page number and page size. Ideal for large result sets and UI table displays.
API Request
POST /public/order/search-by-paging
Body Request Parameters
Request Parameters
Name | Location | Type | Required | Description |
|---|---|---|---|---|
X-Tenant-ID | header | string | No | none |
X-Yard-ID | header | string | No | none |
Item-Time-Zone | header | string | No | none |
Authorization | header | string | No | none |
body | body | OrderQuery | No | none |
» externalCarrierId | body | string | No | External carrier identifier from external systems |
Response Example
200 Response
Response
Status Code | Definition | Description | Data Model |
|---|---|---|---|
200 | OK | none | RPageResultOrderView |